# osg::buffered_value< T > Class Template Reference

Implements a simple buffered value for values that need to be buffered on a per graphics context basis. More...

Inheritance diagram for osg::buffered_value< T >:

[legend]
List of all members.

## Public Member Functions

| buffered_value ()
buffered_value & | operator= (const buffered_value &rhs)
void | setAllElementsTo (const T &t)
void | clear ()
bool | empty () const
unsigned int | size () const
T & | operator[] (unsigned int pos)
T | operator[] (unsigned int pos) const

## Protected Attributes

std::vector< T > | _array

## Detailed Description

### template<class T>
class osg::buffered_value< T >

Implements a simple buffered value for values that need to be buffered on a per graphics context basis.

## Constructor & Destructor Documentation

template<class T>
osg::buffered_value< T >::buffered_value | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
void osg::buffered_value< T >::clear | ( |  | ) | `[inline]`

template<class T>
bool osg::buffered_value< T >::empty | ( |  | ) | const`[inline]`

template<class T>
buffered_value& osg::buffered_value< T >::operator= | ( | const buffered_value< T > & | rhs | ) | `[inline]`

template<class T>
T osg::buffered_value< T >::operator[] | ( | unsigned int | pos | ) | const`[inline]`

template<class T>
T& osg::buffered_value< T >::operator[] | ( | unsigned int | pos | ) | `[inline]`

template<class T>
void osg::buffered_value< T >::setAllElementsTo | ( | const T & | t | ) | `[inline]`

template<class T>
unsigned int osg::buffered_value< T >::size | ( |  | ) | const`[inline]`

## Member Data Documentation

template<class T>
std::vector<T> osg::buffered_value< T >::_array `[mutable, protected]`

The documentation for this class was generated from the following file:

- buffered_value